## zita-convolver 1.0.0

=== libs/Makefile ===
#  Copyright (C) 2003-2008 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published
#  by the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


# Modify as required.
#
PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)


MAJVERS = 1
MINVERS = 0.0
VERSION = $(MAJVERS).$(MINVERS)
DISTDIR = zita-convolver-$(VERSION)


CPPFLAGS += -Wall -I. -fPIC -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -O3 -ffast-math
#CPPFLAGS += -march=i686

LDLFAGS += 
LDLIBS +=


ZITA-CONVOLVER_SO = libzita-convolver.so
ZITA-CONVOLVER_MAJ = $(ZITA-CONVOLVER_SO).$(MAJVERS)
ZITA-CONVOLVER_MIN = $(ZITA-CONVOLVER_MAJ).$(MINVERS)
ZITA-CONVOLVER_DEP = -lfftw3f -lpthread
ZITA-CONVOLVER_O = zita-convolver.o
ZITA-CONVOLVER_H = zita-convolver.h 


$(ZITA-CONVOLVER_MIN):	$(ZITA-CONVOLVER_O)
	g++ -shared $(LDFLAGS) -Wl,-soname,$(ZITA-CONVOLVER_MAJ) -o $(ZITA-CONVOLVER_MIN) $(ZITA-CONVOLVER_O) $(ZITA-CONVOLVER_DEP)


install:	$(ZITA-CONVOLVER_MIN)
	/usr/bin/install -d $(PREFIX)/include
	/usr/bin/install -d $(PREFIX)/$(LIBDIR)
	/usr/bin/install -m 644 $(ZITA-CONVOLVER_H) $(PREFIX)/include
	/usr/bin/install -m 755 $(ZITA-CONVOLVER_MIN) $(PREFIX)/$(LIBDIR)
	/sbin/ldconfig -n $(PREFIX)/$(LIBDIR)
	ln -sf $(ZITA-CONVOLVER_MIN) $(PREFIX)/$(LIBDIR)/$(ZITA-CONVOLVER_SO)


clean:
	/bin/rm -f *~ *.o *.a *.d *.so.*


tarball:
	cd ..; \
	/bin/rm -f -r $(DISTDIR)*; \
	svn export zita-convolver $(DISTDIR); \
	tar cvjf $(DISTDIR).tar.bz2 $(DISTDIR); \
	/bin/rm -f -r $(DISTDIR);

## zita-convolver 2.0.0really2.0.0

=== libs/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#  Copyright (C) 2003-2008 Fons Adriaensen <fons@kokkinizita.net>
+#  Copyright (C) 2006-2009 Fons Adriaensen <fons@kokkinizita.net>
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published
@@ -22,14 +22,16 @@
 LIBDIR = lib$(SUFFIX)
 
 
-MAJVERS = 1
+MAJVERS = 2
 MINVERS = 0.0
 VERSION = $(MAJVERS).$(MINVERS)
 DISTDIR = zita-convolver-$(VERSION)
 
 
-CPPFLAGS += -Wall -I. -fPIC -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -O3 -ffast-math
-#CPPFLAGS += -march=i686
+CPPFLAGS += -Wall -I. -fPIC -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -O3
+CPPFLAGS += -mmmx -msse -mfpmath=sse -ffast-math -funroll-loops -fpermissive
+CPPFLAGS += -march=i686
+#CPPFLAGS += -DVECTORIZE 
 
 LDLFAGS += 
 LDLIBS +=
@@ -48,22 +50,14 @@
 
 
 install:	$(ZITA-CONVOLVER_MIN)
-	/usr/bin/install -d $(PREFIX)/include
-	/usr/bin/install -d $(PREFIX)/$(LIBDIR)
-	/usr/bin/install -m 644 $(ZITA-CONVOLVER_H) $(PREFIX)/include
-	/usr/bin/install -m 755 $(ZITA-CONVOLVER_MIN) $(PREFIX)/$(LIBDIR)
-	/sbin/ldconfig -n $(PREFIX)/$(LIBDIR)
+	install -d $(PREFIX)/include
+	install -d $(PREFIX)/$(LIBDIR)
+	install -m 644 $(ZITA-CONVOLVER_H) $(PREFIX)/include
+	install -m 755 $(ZITA-CONVOLVER_MIN) $(PREFIX)/$(LIBDIR)
+	ldconfig
 	ln -sf $(ZITA-CONVOLVER_MIN) $(PREFIX)/$(LIBDIR)/$(ZITA-CONVOLVER_SO)
 
 
 clean:
 	/bin/rm -f *~ *.o *.a *.d *.so.*
 
-
-tarball:
-	cd ..; \
-	/bin/rm -f -r $(DISTDIR)*; \
-	svn export zita-convolver $(DISTDIR); \
-	tar cvjf $(DISTDIR).tar.bz2 $(DISTDIR); \
-	/bin/rm -f -r $(DISTDIR);
-

=== debian/changelog ===
zita-convolver (2.0.0really2.0.0-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * libzita-convolver-dev depends on libfftw3-dev (Closes: #577527)

  [ Alessio Treglia ]
  * ACK NMU.
  * Switch to debhelper 7.
  * Add ${misc:Depends} macro to libzita-convolver-dev's Depends field.
  * Bump Standards.
  * Add myself as Uploader.
  * Switch to format 3.0 (quilt).
  * Add git-buildpackage config file.
  * Add git ignore file.
  * Add DEP-3-style tags to makefile.patch patch.
  * Update watch file.

 -- Alessio Treglia <alessio@debian.org>  Wed, 14 Jul 2010 01:10:16 +0200

zita-convolver (2.0.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't use -march=native. (closes: #559747)

 -- Bastian Blank <waldi@debian.org>  Tue, 19 Jan 2010 22:09:34 +0000

zita-convolver (2.0.0-2) unstable; urgency=low

  * Fix FTBFS on various architectures (Closes: #559516)
  * Added fields Vcs-Git, Vcs-Browser and Homepage to control file
  * Changed reference /usr/share/common-licenses/GPL to /GPL-2 in copyright file

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 05 Dec 2009 05:24:49 +0100

zita-convolver (2.0.0-1) unstable; urgency=low

  * new upstream release

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 02 Dec 2009 00:37:49 +0100

zita-convolver (1.0.0-2) unstable; urgency=low

  [ Reinhard Tartler ]
  * use multiline fields in debian/control
  * drop build-dependency on libc6-dev (Closes: #530974)

  [ Free Ekanayaka ]
  * Use binary-arch instead of binary-indep (Closes: #529160)

 -- Free Ekanayaka <freee@debian.org>  Sun, 21 Jun 2009 12:34:20 +0200

zita-convolver (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #520079)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 17 Mar 2009 03:45:23 +0100

=== debian/control ===
Source: zita-convolver
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 7.0.50~),
 binutils,
 libfftw3-dev (>= 3.1.2-3.1)
DM-Upload-Allowed: yes
Standards-Version: 3.9.0
Vcs-Git: git://git.debian.org/git/pkg-multimedia/zita-convolver.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/zita-convolver.git
Homepage: http://www.kokkinizita.net/linuxaudio/downloads/index.html

Package: libzita-convolver-dev
Section: libdevel
Architecture: any
Depends: libzita-convolver2 (= ${binary:Version}),
 ${misc:Depends},
 libfftw3-dev (>= 3.1.2-3.1)
Description: Development files (headers) for libzita-convolver library
 Zita convolver is a C++ library implementing a real-time
 convolution matrix for up to 64 inputs and outputs. It
 uses multiple partition sizes to provide both low delay
 and efficient CPU use.
 .
 This package contains the headers used to build applications
 that use libzita-convolver.

Package: libzita-convolver2
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: C++ library implementing a real-time convolution matrix
 Zita convolver is a C++ library implementing a real-time
 convolution matrix for up to 64 inputs and outputs. It
 uses multiple partition sizes to provide both low delay
 and efficient CPU use.
 .
 This package contains the shared library for libzita-convolver.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C libs/

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C libs/ clean
#	test ! -d .git || dh_quilt_unpatch

override_dh_auto_install:
	$(MAKE) -C libs/  DESTDIR=$(CURDIR)/debian/tmp install

=== debian/watch ===
version=3
http://www.kokkinizita.net/linuxaudio/downloads/index.html \
	zita-convolver-(.*)\.tar\.bz2

## zita-convolver 3.0.3

=== debian/changelog ===
zita-convolver (3.0.3-3) unstable; urgency=low

  * Update debian/libzita-convolver3.symbols to append s390x to the list
    of 64-bit architectures (Closes: #651674).

 -- Alessio Treglia <alessio@debian.org>  Sun, 11 Dec 2011 15:01:43 +0100

zita-convolver (3.0.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Sat, 10 Dec 2011 15:34:14 +0100

zita-convolver (3.0.3-1) experimental; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 28 Oct 2011 00:06:38 +0200

zita-convolver (3.0.2-2) experimental; urgency=low

  * Fix FTBFS on s390.

 -- Alessio Treglia <alessio@debian.org>  Tue, 25 Oct 2011 10:52:10 +0200

zita-convolver (3.0.2-1) experimental; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release.
  * Soname bump.
  * Refreshed patch.
  * Added slash to gitignore file.
  * Bump Standards
  * Updated symbols files.
  * Added README file as upstream changelog.
  * Updated URL in watch file.
  * Added local-options file.
  * Copyright switched to rev. 174.
  * Little fix in copyright file.

  [ Alessio Treglia ]
  * Use c++filt to demangle symbols.
  * debian/patches/makefile.patch: Add kfreebsd,hurd buildds support.
  * Introduce multiarch support.
  * Packaging clean-up.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 22 Oct 2011 11:10:27 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 8.1.3~),
  binutils,
  libfftw3-dev (>= 3.1.2-3.1)
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/zita-convolver.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/zita-convolver.git
 Homepage: http://www.kokkinizita.net/linuxaudio/downloads/index.html
@@ -17,9 +17,10 @@
 Package: libzita-convolver-dev
 Section: libdevel
 Architecture: any
-Depends: libzita-convolver2 (= ${binary:Version}),
+Depends: libzita-convolver3 (= ${binary:Version}),
  ${misc:Depends},
  libfftw3-dev (>= 3.1.2-3.1)
+Multi-Arch: same
 Description: Development files (headers) for libzita-convolver library
  Zita convolver is a C++ library implementing a real-time
  convolution matrix for up to 64 inputs and outputs. It
@@ -29,11 +30,13 @@
  This package contains the headers used to build applications
  that use libzita-convolver.
 
-Package: libzita-convolver2
+Package: libzita-convolver3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends}
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Description: C++ library implementing a real-time convolution matrix
  Zita convolver is a C++ library implementing a real-time
  convolution matrix for up to 64 inputs and outputs. It

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export PREFIX=/usr
export LIBDIR=lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs README

override_dh_auto_build:
	$(MAKE) -C libs/

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C libs/ clean

override_dh_auto_install:
	$(MAKE) -C libs/  DESTDIR=$(CURDIR)/debian/tmp install

## zita-convolver 3.1.0

=== debian/changelog ===
zita-convolver (3.1.0-4) unstable; urgency=low

  [ Alessio Treglia ]
  * Remove myself from the Uploaders field.

  [ Jaromír Mikeš ]
  * Bump Standards.
  * Fix symbols file to allow build on arm64 and ppc64el. (Closes: #735013)
    Thanks to Daniel T Chen <seven.steps@gmail.com>

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 11 Jan 2014 22:38:21 +0100

zita-convolver (3.1.0-3) unstable; urgency=low

  [ Alessio Treglia ]
  * Remove DM-Upload-Allowed field, not needed anymore.

  [ Jaromír Mikeš ]
  * Set debhelper 9.
  * Bump Standards.
  * Use canonical VCS-* URLs.
  * Update symbols to support mips64. (Closes: #725805) (Closes: #726134)
    Thanks to YunQiang Su <wzssyqa@gmail.com>

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 12 Oct 2013 22:59:55 +0200

zita-convolver (3.1.0-2) unstable; urgency=low

  * FTBFS on ppc64 (Closes: #669950)
    Thanks Hiroyuki Yamamoto
  * Bump Standards
  * wrap-and-sort -a -s
  * Copyright updated to format 1.0

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 22 Apr 2012 13:14:53 +0200

zita-convolver (3.1.0-1) unstable; urgency=low

  * New upstream release.
  * Remove nonlinux_support.patch, adopted upstream.
  * Refresh makefile.patch.
  * Update debian/copyright.
  * Update symbols file.
  * Shorten debian/rules.
  * Fix Homepage field.

 -- Alessio Treglia <alessio@debian.org>  Wed, 14 Dec 2011 10:41:40 +0100

=== debian/control ===
Source: zita-convolver
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 binutils,
 debhelper (>= 9),
 libfftw3-dev (>= 3.1.2-3.1)
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/zita-convolver.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/zita-convolver.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/

Package: libzita-convolver-dev
Section: libdevel
Architecture: any
Depends:
 libfftw3-dev (>= 3.1.2-3.1),
 libzita-convolver3 (= ${binary:Version}),
 ${misc:Depends}
Multi-Arch: same
Description: Development files (headers) for libzita-convolver library
 Zita convolver is a C++ library implementing a real-time
 convolution matrix for up to 64 inputs and outputs. It
 uses multiple partition sizes to provide both low delay
 and efficient CPU use.
 .
 This package contains the headers used to build applications
 that use libzita-convolver.

Package: libzita-convolver3
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: C++ library implementing a real-time convolution matrix
 Zita convolver is a C++ library implementing a real-time
 convolution matrix for up to 64 inputs and outputs. It
 uses multiple partition sizes to provide both low delay
 and efficient CPU use.
 .
 This package contains the shared library for libzita-convolver.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export PREFIX=/usr
export LIBDIR=lib/$(DEB_HOST_MULTIARCH)
export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ -Smakefile -Dlibs

override_dh_installchangelogs:
	dh_installchangelogs README

=== debian/watch ===
version=3

http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	zita-convolver-(.*)\.tar\.bz2

## zita-convolver 4.0.3

=== source/Makefile ===
# ------------------------------------------------------------------------
#
#  Copyright (C) 2006-2018 Fons Adriaensen <fons@linuxaudio.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published
#  by the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ------------------------------------------------------------------------


# Modify as required.
#
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
PREFIX ?= /usr/local
INCDIR ?= $(PREFIX)/include
LIBDIR ?= $(PREFIX)/lib$(SUFFIX)


MAJVERS = 4
MINVERS = 0.3
VERSION = $(MAJVERS).$(MINVERS)


CPPFLAGS += -I. -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS
CPPFLAGS += -DENABLE_VECTOR_MODE 
CXXFLAGS += -fPIC -Wall -ffast-math -funroll-loops -O2
CXXFLAGS += -march=native
LDLFAGS += 
LDLIBS +=


ZITA-CONVOLVER_SO = libzita-convolver.so
ZITA-CONVOLVER_MAJ = $(ZITA-CONVOLVER_SO).$(MAJVERS)
ZITA-CONVOLVER_MIN = $(ZITA-CONVOLVER_MAJ).$(MINVERS)
ZITA-CONVOLVER_DEP = -lfftw3f -lpthread
ZITA-CONVOLVER_O = zita-convolver.o
ZITA-CONVOLVER_H = zita-convolver.h 


$(ZITA-CONVOLVER_MIN):	$(ZITA-CONVOLVER_O)
	$(CXX) -shared $(LDFLAGS) -Wl,-soname,$(ZITA-CONVOLVER_MAJ) -o $(ZITA-CONVOLVER_MIN) $(ZITA-CONVOLVER_O) $(ZITA-CONVOLVER_DEP)


install:	$(ZITA-CONVOLVER_MIN)
	install -d $(DESTDIR)$(INCDIR)
	install -d $(DESTDIR)$(LIBDIR)
	install -m 644 $(ZITA-CONVOLVER_H) $(DESTDIR)$(INCDIR)
	install -m 755 $(ZITA-CONVOLVER_MIN) $(DESTDIR)$(LIBDIR)
	ldconfig
	ln -sf $(ZITA-CONVOLVER_MIN) $(DESTDIR)$(LIBDIR)/$(ZITA-CONVOLVER_SO)

uninstall:
	rm -rf $(DESTDIR)$(INCDIR)/$(ZITA-CONVOLVER_H)
	rm -rf $(DESTDIR)$(LIBDIR)/libzita-convolver*

clean:
	/bin/rm -f *~ *.o *.a *.d *.so.*

=== debian/changelog ===
zita-convolver (4.0.3-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Mar 2020 17:25:47 -0700

zita-convolver (4.0.3-2) unstable; urgency=medium

  * Upload to unstable
  * Remove unnecessary dh argument -Smakefile
  * Add me as uploader

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 04 Mar 2020 14:39:36 +0100

zita-convolver (4.0.3-1) experimental; urgency=medium

  * Team upload

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/control: Set Vcs-* to salsa.debian.org

  [ Dennis Braun ]
  * New upstream version 4.0.3
    + Fixes cross build (Closes: #873161)
  * d/control:
    + Bump dh-compat to 12
    + Bump Standards-Version to 4.5.0
    + Bump SONAME
    + Set RRR: no
  * d/copyright: Update year, http > https & add myself
  * d/libzita-convolver*.install: Bump SONAME
  * d/patches: Update patch
  * Upgrade symbols file
  * d/rules:
    + Add more exports to make the build work
    + Replace libs/ with source/

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 06 Feb 2020 20:18:35 +0100

zita-convolver (3.1.0-7) unstable; urgency=medium

  * Modernize symbols file. (Closes: #887049)
  * Set dh/compat 11.
  * Bump Standards.
  * Use secure uri where possible.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 13 Jan 2018 11:50:11 +0100

zita-convolver (3.1.0-6) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.0:
    + use HTTPS in debian/copyright's Format field.
  * Drop Build-dependency on binutils.  Closes: #873161
    binutils is already pulled in by build-essential, and specifying it
    explicitly prevents proper resolution of cross build dependencies.
  * Drop version restriction on fftw3, already satisfied in oldoldstable.
  * debian/rules: include architecture.mk instead of spawning a shell to
    get DEB_HOST_MULTIARCH.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 25 Aug 2017 09:46:27 +0200

zita-convolver (3.1.0-5) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Dec 2016 13:53:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,27 @@
 Source: zita-convolver
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- binutils,
- debhelper (>= 9),
- libfftw3-dev (>= 3.1.2-3.1)
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/zita-convolver.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/zita-convolver.git
-Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/
+ debhelper-compat (= 12),
+ libfftw3-dev,
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/zita-convolver.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-convolver
+Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/
+Rules-Requires-Root: no
 
 Package: libzita-convolver-dev
 Section: libdevel
 Architecture: any
 Depends:
- libfftw3-dev (>= 3.1.2-3.1),
- libzita-convolver3 (= ${binary:Version}),
+ libfftw3-dev,
+ libzita-convolver4 (= ${binary:Version}),
  ${misc:Depends}
 Multi-Arch: same
 Description: Development files (headers) for libzita-convolver library
@@ -31,7 +33,7 @@
  This package contains the headers used to build applications
  that use libzita-convolver.
 
-Package: libzita-convolver3
+Package: libzita-convolver4
 Section: libs
 Architecture: any
 Depends:

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export PREFIX=/usr
export LIBDIR=$(PREFIX)/lib/$(DEB_HOST_MULTIARCH)
export DESTDIR=$(CURDIR)/debian/tmp

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ -Dsource

override_dh_installchangelogs:
	dh_installchangelogs README

override_dh_strip:
	dh_strip --no-automatic-dbgsym
